curl --request GET \
--url https://api.clarionhealth.com/v1/sequence-manager/sequences/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"status": "in-progress",
"ended_reason": "<string>",
"ended_reason_v2": "<string>",
"current_step": 123,
"next_activity": "2023-11-07T05:31:56Z",
"organization_id": 123,
"patient_id": 123,
"type": "appointment_reminder",
"steps": [
{
"id": "<string>",
"type": "voice",
"inputs": [
{}
],
"status": "pending",
"scheduled_at": "2023-11-07T05:31:56Z",
"voicemail_message": "<string>",
"source_number": "<string>",
"destination_number": "<string>",
"voice_assistant_id": 123,
"post_actions": [
{}
]
}
],
"sequence_definition_id": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>",
"name": "<string>",
"type": "text"
}
],
"outcome": "<string>",
"was_contact_reached": true,
"claimed_at": "2023-11-07T05:31:56Z",
"is_test_mode": true,
"last_updated": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}Get Sequence
Returns a specific sequence by ID. Pass includeMetrics=true to receive the sequence together with its outreach array (calls and SMS encounters with analysis).
curl --request GET \
--url https://api.clarionhealth.com/v1/sequence-manager/sequences/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.clarionhealth.com/v1/sequence-manager/sequences/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"status": "in-progress",
"ended_reason": "<string>",
"ended_reason_v2": "<string>",
"current_step": 123,
"next_activity": "2023-11-07T05:31:56Z",
"organization_id": 123,
"patient_id": 123,
"type": "appointment_reminder",
"steps": [
{
"id": "<string>",
"type": "voice",
"inputs": [
{}
],
"status": "pending",
"scheduled_at": "2023-11-07T05:31:56Z",
"voicemail_message": "<string>",
"source_number": "<string>",
"destination_number": "<string>",
"voice_assistant_id": 123,
"post_actions": [
{}
]
}
],
"sequence_definition_id": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>",
"name": "<string>",
"type": "text"
}
],
"outcome": "<string>",
"was_contact_reached": true,
"claimed_at": "2023-11-07T05:31:56Z",
"is_test_mode": true,
"last_updated": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}?includeMetrics=true to receive the sequence together with its outreach array (calls and SMS encounters with analysis). Without the flag, the response is the sequence record only.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The sequence ID
Query Parameters
When true, the response includes the outreach array with per-step call and SMS metrics.
Response
Sequence object
Unique identifier for the sequence
Current status of the sequence
in-progress, completed, failed, cancelled, queued, paused Reason why the sequence ended
Updated reason why the sequence ended
Current step number in the sequence
When the next activity is scheduled
ID of the organization this sequence belongs to
ID of the patient this sequence is for
Type of sequence
appointment_reminder, follow_up, other List of steps in the sequence
Show child attributes
Show child attributes
ID of the sequence definition this sequence is based on
Input values for the sequence
Show child attributes
Show child attributes
Final outcome of the sequence
Whether the contact was successfully reached
When the sequence was claimed
Whether this sequence is running in test mode
When the sequence was last updated

